.TH OCIOBAKELUT "1" "August 2022" "create a new LUT or ICC profile from an OCIO config or LUT file(s)" "User Commands"
.SH NAME
ociobakelut \- create a new LUT or ICC profile from an OCIO config or LUT file(s)
.PP
usage:  ociobakelut [options] <OUTPUTFILE.LUT>
.PP
example:  ociobakelut \fB\-\-inputspace\fR lg10 \fB\-\-outputspace\fR srgb8 \fB\-\-format\fR flame lg_to_srgb.3dl
example:  ociobakelut \fB\-\-lut\fR filmlut.3dl \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR flame display.3dl
example:  ociobakelut \fB\-\-cccid\fR 0 \fB\-\-lut\fR cdlgrade.ccc \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR flame graded_display.3dl
example:  ociobakelut \fB\-\-lut\fR look.3dl \fB\-\-offset\fR 0.01 \fB\-0\fR.02 0.03 \fB\-\-lut\fR display.3dl \fB\-\-format\fR flame display_with_look.3dl
example:  ociobakelut \fB\-\-inputspace\fR lg10 \fB\-\-outputspace\fR srgb8 \fB\-\-format\fR icc \fI\,~/Library/ColorSync/Profiles/test.icc\/\fP
example:  ociobakelut \fB\-\-lut\fR filmlut.3dl \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR icc \fI\,~/Library/ColorSync/Profiles/test.icc\/\fP
.PP
Using Existing OCIO Configurations
.TP
\fB\-\-inputspace\fR %s
Input OCIO ColorSpace (or Role)
.TP
\fB\-\-outputspace\fR %s
Output OCIO ColorSpace (or Role)
.TP
\fB\-\-shaperspace\fR %s
the OCIO ColorSpace or Role, for the shaper
.TP
\fB\-\-looks\fR %s
the OCIO looks to apply
.TP
\fB\-\-iconfig\fR %s
Input .ocio configuration file (default: $OCIO)
.PP
Config\-Free LUT Baking
.IP
(all options can be specified multiple times, each is applied in order)
\fB\-\-cccid\fR %s           Specify a CCCId for any following LUTs
\fB\-\-lut\fR %s             Specify a LUT (forward direction)
\fB\-\-invlut\fR %s          Specify a LUT (inverse direction)
\fB\-\-slope\fR %f %f %f     slope
\fB\-\-offset\fR %f %f %f    offset (float)
\fB\-\-offset10\fR %f %f %f  offset (10\-bit)
\fB\-\-power\fR %f %f %f     power
\fB\-\-sat\fR %f             saturation (ASC\-CDL luma coefficients)
.PP
Baking Options
.TP
\fB\-\-format\fR %s
the LUT format to bake: flame (.3dl), lustre (.3dl), Academy/ASC Common LUT Format (.clf), Color Transform Format (.ctf), cinespace (.csp), houdini (.lut), iridas_cube (.cube), iridas_itx (.itx), resolve_cube (.cube), truelight (.cub), icc (.icc)
.TP
\fB\-\-shapersize\fR %d
size of the shaper (default: format specific)
.TP
\fB\-\-cubesize\fR %d
size of the cube (default: format specific)
.TP
\fB\-\-stdout\fR
Write to stdout (rather than file)
.TP
\fB\-\-v\fR
Verbose
.TP
\fB\-\-help\fR
Print help message
.PP
ICC Options
.TP
\fB\-\-whitepoint\fR %d
whitepoint for the profile (default: 6505)
.TP
\fB\-\-displayicc\fR %s
an ICC profile which matches the OCIO profiles target display
.TP
\fB\-\-description\fR %s
a meaningful description, this will show up in UI like photoshop (defaults to "filename.icc")
.TP
\fB\-\-copyright\fR %s
a copyright field added in the file (default: "No copyright. Use freely.")
.PP
ociobakelut \fB\-\-\fR create a new LUT or ICC profile from an OCIO config or LUT file(s)
.PP
usage:  ociobakelut [options] <OUTPUTFILE.LUT>
.PP
example:  ociobakelut \fB\-\-inputspace\fR lg10 \fB\-\-outputspace\fR srgb8 \fB\-\-format\fR flame lg_to_srgb.3dl
example:  ociobakelut \fB\-\-lut\fR filmlut.3dl \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR flame display.3dl
example:  ociobakelut \fB\-\-cccid\fR 0 \fB\-\-lut\fR cdlgrade.ccc \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR flame graded_display.3dl
example:  ociobakelut \fB\-\-lut\fR look.3dl \fB\-\-offset\fR 0.01 \fB\-0\fR.02 0.03 \fB\-\-lut\fR display.3dl \fB\-\-format\fR flame display_with_look.3dl
example:  ociobakelut \fB\-\-inputspace\fR lg10 \fB\-\-outputspace\fR srgb8 \fB\-\-format\fR icc \fI\,~/Library/ColorSync/Profiles/test.icc\/\fP
example:  ociobakelut \fB\-\-lut\fR filmlut.3dl \fB\-\-lut\fR calibration.3dl \fB\-\-format\fR icc \fI\,~/Library/ColorSync/Profiles/test.icc\/\fP
.PP
Using Existing OCIO Configurations
.TP
\fB\-\-inputspace\fR %s
Input OCIO ColorSpace (or Role)
.TP
\fB\-\-outputspace\fR %s
Output OCIO ColorSpace (or Role)
.TP
\fB\-\-shaperspace\fR %s
the OCIO ColorSpace or Role, for the shaper
.TP
\fB\-\-looks\fR %s
the OCIO looks to apply
.TP
\fB\-\-iconfig\fR %s
Input .ocio configuration file (default: $OCIO)
.PP
Config\-Free LUT Baking
.IP
(all options can be specified multiple times, each is applied in order)
\fB\-\-cccid\fR %s           Specify a CCCId for any following LUTs
\fB\-\-lut\fR %s             Specify a LUT (forward direction)
\fB\-\-invlut\fR %s          Specify a LUT (inverse direction)
\fB\-\-slope\fR %f %f %f     slope
\fB\-\-offset\fR %f %f %f    offset (float)
\fB\-\-offset10\fR %f %f %f  offset (10\-bit)
\fB\-\-power\fR %f %f %f     power
\fB\-\-sat\fR %f             saturation (ASC\-CDL luma coefficients)
.PP
Baking Options
.TP
\fB\-\-format\fR %s
the LUT format to bake: flame (.3dl), lustre (.3dl), Academy/ASC Common LUT Format (.clf), Color Transform Format (.ctf), cinespace (.csp), houdini (.lut), iridas_cube (.cube), iridas_itx (.itx), resolve_cube (.cube), truelight (.cub), icc (.icc)
.TP
\fB\-\-shapersize\fR %d
size of the shaper (default: format specific)
.TP
\fB\-\-cubesize\fR %d
size of the cube (default: format specific)
.TP
\fB\-\-stdout\fR
Write to stdout (rather than file)
.TP
\fB\-\-v\fR
Verbose
.TP
\fB\-\-help\fR
Print help message
.PP
ICC Options
.TP
\fB\-\-whitepoint\fR %d
whitepoint for the profile (default: 6505)
.TP
\fB\-\-displayicc\fR %s
an ICC profile which matches the OCIO profiles target display
.TP
\fB\-\-description\fR %s
a meaningful description, this will show up in UI like photoshop (defaults to "filename.icc")
.TP
\fB\-\-copyright\fR %s
a copyright field added in the file (default: "No copyright. Use freely.")
.SH "SEE ALSO"
The full documentation for
.B Invalid
is maintained as a Texinfo manual.  If the
.B info
and
.B Invalid
programs are properly installed at your site, the command
.IP
.B info Invalid
.PP
should give you access to the complete manual.
